GET groups
Gets a hierarchy of all monitor groups that are visible to you as a user or a customer depending on the request context.
Remarks
- Since "top" groups may contain "sub" groups, in the example they are displayed as NULL. But they contain the same fields.
- The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.
Request example
curl --request GET "https://api-asm1.apica.io/v3/groups?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"id": 13,
"name": "Group #2",
"rank": 3,
"groups": null,
"check_ids": null,
"severity": null
},
{
"id": 13,
"name": "Group #1",
"rank": 5,
"groups": null,
"check_ids": null,
"severity": null
},
{
"id": 13,
"name": "Group #3",
"rank": 5,
"groups": null,
"check_ids": null,
"severity": null
}
]
| Name | Type | Description |
|---|---|---|
| id | Integer | The group's numeric identity. |
| name | String | The group's name. |
| rank | Integer | The group's rank. |
| groups | Array | The group's sub-groups. |
| id | Integer | The group's numeric identity. |
| name | String | The group's name. |
| rank | Integer | The group's rank. |
| groups | Array | The group's sub-groups. |
| check_ids | Array | No documentation available. |
| severity | Object | No documentation available. |
| i | Integer | Information |
| w | Integer | Warning |
| e | Integer | Error |
| f | Integer | Fatal |
| u | Integer | Undefined (unknown) |
| total | Integer | Total |
| check_ids | Array | No documentation available. |
| severity | Object | No documentation available. |
| i | Integer | Information |
| w | Integer | Warning |
| e | Integer | Error |
| f | Integer | Fatal |
| u | Integer | Undefined (unknown) |
| total | Integer | Total |